/**
 * 全局都会使用到的接口
 */
import getFetch from './get-fetch.js';
import { commonPrefix, marketPrefix, welfarePrefix } from '@/config';

// 公共接口
let common = {
  loginUserMenu: '/login-user-menu', // 获取用户信息
  loginUserMenuOfApp: '/login-user-menu-of-app', // 根据appCode获取左侧信息
};

let o2 = {
  getSubappList: '/area/member-cards', // 获取域列表
  getAppList: '/stock/application-list', // 获取应用列表
  getStockList: {
    // 库存记录
    url: '/stock/stock-list',
    method: 'post',
    useFormData: true,
  },
  getStockActivityStatistics: '/stock/activity-statistics', // 库存记录-统计记录
  getRelationId: '/gift/get-gift-id', // 随机返回一个ID
};

// other
let other = {
  getAppInfo: {
    url: '/enterprise-serve-info', // 根据appCode获取应用信息
    alertError: false,
  },
  getMallShopList: '/outer/all-mall-shop', // 获取微商城店铺数据 没有入参
  activityList: '/activity/list-marketing-page', // 数据对话分页列表
  getActivityInfo: '/activity/get-marketing-activity', // 获取数据对话详情
};

o2 = getFetch(o2, welfarePrefix);
common = getFetch(common, commonPrefix);
other = getFetch(other, marketPrefix);

export default { ...common, ...other, ...o2 };
export const uploadUrl = marketPrefix + '/upload/upload-image'; // 默认上传图片接口